Package org.flowable.bpmn.model.alfresco

# Class AlfrescoStartEvent

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Event
org.flowable.bpmn.model.StartEvent
org.flowable.bpmn.model.alfresco.AlfrescoStartEvent

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`, `HasInParameters`, `HasOutParameters`

public class AlfrescoStartEvent extends StartEvent

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `runAs`
  `protected String`
  `scriptProcessor`

  ### Fields inherited from class org.flowable.bpmn.model.StartEvent

  `formKey, formProperties, initiator, isInterrupting, sameDeployment, validateFormFields`

  ### Fields inherited from class org.flowable.bpmn.model.Event

  `eventDefinitions, inParameters, outParameters`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AlfrescoStartEvent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AlfrescoStartEvent`
  `clone()`
  `String`
  `getRunAs()`
  `String`
  `getScriptProcessor()`
  `void`
  `setRunAs(String runAs)`
  `void`
  `setScriptProcessor(String scriptProcessor)`
  `void`
  `setValues(AlfrescoStartEvent otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.StartEvent

  `getFormKey, getFormProperties, getInitiator, getValidateFormFields, isInterrupting, isSameDeployment, setFormKey, setFormProperties, setInitiator, setInterrupting, setSameDeployment, setValidateFormFields, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.Event

  `addEventDefinition, addInParameter, addOutParameter, getEventDefinitions, getInParameters, getOutParameters, setEventDefinitions, setInParameters, setOutParameters, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### runAs

    protected String runAs

  - ### scriptProcessor

    protected String scriptProcessor

- ## Constructor Details

  - ### AlfrescoStartEvent

    public AlfrescoStartEvent()

- ## Method Details

  - ### getRunAs

    public String getRunAs()

  - ### setRunAs

    public void setRunAs(String runAs)

  - ### getScriptProcessor

    public String getScriptProcessor()

  - ### setScriptProcessor

    public void setScriptProcessor(String scriptProcessor)

  - ### clone

    public AlfrescoStartEvent clone()
    Overrides:
      `clone` in class `StartEvent`

  - ### setValues

    public void setValues(AlfrescoStartEvent otherElement)